<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__linkedlist__structures" kind="group">
    <compoundname>group_linkedlist_structures</compoundname>
    <title>Linked list data structures</title>
    <innerclass prot="public" refid="structlinked__list__node">linked_list_node</innerclass>
    <innerclass prot="public" refid="structcy__linked__list__t">cy_linked_list_t</innerclass>
      <sectiondef kind="typedef">
      <memberdef id="group__group__linkedlist__structures_1ga2b6d1b43f25aeb0b0408fc361b37440f" kind="typedef" prot="public" static="no">
        <type>bool(*</type>
        <definition>typedef bool(* cy_linked_list_compare_callback_t) (cy_linked_list_node_t *node_to_compare, void *user_data)</definition>
        <argsstring>)(cy_linked_list_node_t *node_to_compare, void *user_data)</argsstring>
        <name>cy_linked_list_compare_callback_t</name>
        <briefdescription>
<para>Callback to compare the data in the node for find routine. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/linked_list/cy_linked_list.h" bodystart="66" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/linked_list/cy_linked_list.h" line="66" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>